GET events/v3/{trackingId}

here.com:tracking

Summary: Gets event history for a device or a shipment
Operation ID:
Auth: unknown
Description

Gets all events for a device or a shipment. A device is identified by the `trackingId`. For shipments, `shipmentId` can be used as a `trackingId`. The results are listed in descending order based on the timestamp. An event is uniquely identified by `trackingId`-`ruleId`-`timestamp` key, with an exception of dwelling and stock rule events. Dwelling events also need `geofenceId` to be specified, whereas for stock events `trackingId` is not applicable. A single event can be fetched using `ruleId`, `before` and `after` query parameters. A time range can be defined with `before` and `after` timestamps. The response will contain an array of events that were recorded within the range. If the request is supplied with `eventSource` query parameter, the response will contain events generated by the defined source only. If the request is supplied with `eventType` query parameter, the response will contain events of the specified type only. If the request is supplied with `ruleId` query parameter, the response will only contain events for the specified rule ID. If the request is supplied with `initialState` query parameter, the response will contain events having the specified initial state. All the aforementioned query parameters can be combined together.

Parameters (11)

X-Request-Id (string, header, optional)

ID used for correlating requests within HERE Tracking. Used for logging and error reporting. Must be a valid UUIDv4.

after (number, query, optional)

Milliseconds elapsed since 1 January 1970 00:00:00 UTC. The accepted range is from 0 to the current time.

Constraints: {'minimum': 0}

appId (string, query, optional)

Application identifier. Used together with an external ID to identify a virtual device.

Constraints: {'minLength': 8}

before (number, query, optional)

Milliseconds elapsed since 1 January 1970 00:00:00 UTC. The accepted range is from 1 to the current time.

Constraints: {'minimum': 1}

count (integer, query, optional, default: 1000)

The number of items to return per page.

Constraints: {'minimum': 1, 'maximum': 1000}

eventSource (?, query, optional)
eventType (?, query, optional)
initialState (boolean, query, optional)
pageToken (string, query, optional)

A token from the previously returned response to retrieve the specified page.

ruleId (?, query, optional)
trackingId (string, path, required)

Constraints: {'minLength': 1, 'maxLength': 50}

No probe data for this endpoint yet.